int DURATION = 2013 - 1950 + 1;
int YEAR = 2013 - 1985 + 1;


//for data
class Yield{
  String land;
  String ocean;
  int[] aquaticP;
  int[] crustacean;
  int[] freshwaterF;
  int[] diadromousF;
  int[] marineF;
  int[] molluscs;
  int[] aquaticM;
  
  public Yield(){
  }
  
  public Yield(String land, String ocean, int[] aquaticP, int[] crustacean, int[] freshwaterF,
               int[] diadromousF, int[] marineF, int[] molluscs, int[] aquaticM){
    this.land = land;
    this.ocean = ocean;
    this.aquaticP = aquaticP;
    this.crustacean = crustacean;
    this.freshwaterF = freshwaterF;
    this.diadromousF = diadromousF;
    this.marineF = marineF;
    this.molluscs = molluscs;
    this.aquaticM = aquaticM;               
  }
  
}


class SeaLevel{
  int [] seaLevel;
 
  public SeaLevel(){
  }
  
  public SeaLevel(int[] seaLevel){
      this.seaLevel = seaLevel;
  }
  
}


class GlobalTemprature{
  int[] temperature;
  
  public GlobalTemprature(){
  }
  
  public GlobalTemprature(int[] temperature){
      this.temperature = temperature;
  }
  
  public GlobalTemprature(String url){
      temperature = new int[YEAR];
      String[] lines = loadStrings(url);
      for(int i = 0 ; i < lines.length; i++){
        if(lines[i] != null && !lines[i].equals(" ") && !lines[i].equals("Year")){
          int year, tem;
          try{
            year = Integer.parseInt(lines[i].substring(0, 4));
            tem = Integer.parseInt(lines[i].substring(8, 10));
          }catch(Exception e){
            year = 0;
            tem = 0;
          }
          if(year>=1985 && year<=2013 ){
              temperature[year-1985] = tem;
          }
        }
      }
  }
  
}


//for shape
class TreeNode<T> {
    PVector position;//
    TreeNode left;
    TreeNode right;
    
    public TreeNode(PVector x) { 
        position = x; 
        left = null;
        right = null;
    }
    
}

class Cluster{
    PVector center;
    TreeNode root1;
    TreeNode root2;
    TreeNode root3;
    
    public Cluster(PVector a, PVector b, PVector c){
        center = new PVector(0,0,0);
        root1 = new TreeNode(a);
        root2 = new TreeNode(b);
        root3 = new TreeNode(c);
    }
}