void gui(){
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
  cp5.draw();
  if(showTitle){
    //title
    noStroke();
    fill(255);
    textSize(22);
    text("Global Warming &", 48, 80);
    text("Marine Capture Production", 48, 101);
    textSize(14);
    text("Data Generated Computational Geometry", 48, 117);
    fill(160);
    textSize(14);
    text("MAT259 Data Vis 2016 Winter", 48, 135);
    text("Hilda Chang HE", 48, 150);
  
    //lables
    pushMatrix();
    translate(-20, -10);
    
    fill(140, 70, 190);
    rect(806, 68, 6, 15);
    rect(838, 90, 5, 12);//
    fill(250, 120, 0);
    rect(812, 68, 5, 15);
    rect(838, 104, 5, 12);//
    fill(255);
    rect(817, 68, 5, 15);
    rect(838, 118, 5, 12);//
    text("Annual Maine Capture", 830, 80);
    text("Marine Fish", 850,101);
    text("Crustacean", 850,115);
    text("Molluscs", 850,129);
    text("Sea Level", 830, 150);
    text("Global Temperature", 830, 175);
    
    fill(20, 200, 250);
    rect(807, 137, 7, 15);
    fill(20,100,250);
    rect(814, 137, 8, 15);
    
    fill(140, 255, 0);
    rect(807, 160, 7, 15);
    fill(140, 255, 0, 40);
    rect(814, 160, 8, 15);
    
    popMatrix();
    
  }
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);  
  
}


void lable1(){
  textSize(18);
  if(showLable){
    fill(50);
    text(GCP[0].ocean, 100, 37);
    text(GCP[1].ocean, 100, 117);
    text(GCP[2].ocean + "  -- "+ GCP[2].land , 100, 197);
    text(GCP[3].ocean + "  -- "+ GCP[3].land , 100, 277);
    text(GCP[4].ocean + "  -- "+ GCP[4].land , 100, 357);
    text(GCP[5].ocean + "  -- "+ GCP[5].land , 100, 437);
    text(GCP[6].ocean + "  -- "+ GCP[6].land , 100, 517);
    text(GCP[7].ocean + "  -- "+ GCP[7].land , 100, 597);
    text(GCP[8].ocean + "  -- "+ GCP[8].land , 100, 677);
    //text();
    
  }
}

void lable2(){
  textSize(65);
  if(showLable){
    fill(50);
    text("Global Temperature", -400, -910);
    text(GCP[0].ocean, -400, -610);
    text(GCP[1].ocean, -400, -310);
    text(GCP[2].ocean + "  -- "+ GCP[2].land , -400, -10);
    text(GCP[3].ocean + "  -- "+ GCP[3].land , -400, 290);
    text(GCP[4].ocean + "  -- "+ GCP[4].land , -400, 590);
    text(GCP[5].ocean + "  -- "+ GCP[5].land , -400, 890);
    text(GCP[6].ocean + "  -- "+ GCP[6].land , -400, 1190);
    text(GCP[7].ocean + "  -- "+ GCP[7].land , -400, 1490);
    text(GCP[8].ocean + "  -- "+ GCP[8].land , -400, 1790);
    
  }
  
}